Package org.flowable.engine.interceptor

# Class CreateExternalWorkerJobAfterContext

java.lang.Object
org.flowable.engine.interceptor.CreateExternalWorkerJobAfterContext

public class CreateExternalWorkerJobAfterContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DelegateExecution`
  `execution`
  `protected final org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity`
  `externalWorkerJobEntity`
  `protected final ExternalWorkerServiceTask`
  `externalWorkerServiceTask`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateExternalWorkerJobAfterContext(ExternalWorkerServiceTask externalWorkerServiceTask, org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity externalWorkerJobEntity, DelegateExecution execution)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelegateExecution`
  `getExecution()`
  `org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity`
  `getExternalWorkerJobEntity()`
  `ExternalWorkerServiceTask`
  `getExternalWorkerServiceTask()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### externalWorkerServiceTask

    protected final ExternalWorkerServiceTask externalWorkerServiceTask

  - ### externalWorkerJobEntity

    protected final org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity externalWorkerJobEntity

  - ### execution

    protected final DelegateExecution execution

- ## Constructor Details

  - ### CreateExternalWorkerJobAfterContext

    public CreateExternalWorkerJobAfterContext(ExternalWorkerServiceTask externalWorkerServiceTask, org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity externalWorkerJobEntity, DelegateExecution execution)

- ## Method Details

  - ### getExternalWorkerServiceTask

    public ExternalWorkerServiceTask getExternalWorkerServiceTask()

  - ### getExternalWorkerJobEntity

    public org.flowable.job.service.impl.persistence.entity.ExternalWorkerJobEntity getExternalWorkerJobEntity()

  - ### getExecution

    public DelegateExecution getExecution()